## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit0 c2860cc621ae1ef515c003d43315c63a41529ff4
%global date 20250419
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
#global tag %{version}

%global upstream_name nvidia-vaapi-driver

Name:           libva-nvidia-driver
Version:        0.0.13%{!?tag:^%{date}git%{shortcommit0}}
Release:        %autorelease
Summary:        A VA-API implemention using NVIDIA's NVDEC

License:        MIT
URL:            https://github.com/elFarto/nvidia-vaapi-driver

%if "%{?tag}"
Source0:        %{url}/archive/v%{version}/%{upstream_name}-%{version}.tar.gz
%else
Source0:        %{url}/archive/%{commit0}/%{upstream_name}-%{commit0}.tar.gz#/%{upstream_name}-%{shortcommit0}.tar.gz
%endif

BuildRequires:  gcc
BuildRequires:  meson >= 0.58.0
BuildRequires:  pkgconfig(ffnvcodec) >= 11.1.5.1
BuildRequires:  pkgconfig(gstreamer-codecparsers-1.0)
BuildRequires:  pkgconfig(libdrm) >= 2.4.60
BuildRequires:  pkgconfig(libva) >= 1.8.0

# Replace the rpmfusion package
Provides:       %{upstream_name} = %{version}-%{release}
Obsoletes:      %{upstream_name} < 0.0.10-3
# Alternative name that better describes the API involved
Provides:       nvdec-vaapi-driver = %{version}-%{release}

# Only one NVIDIA VA-API shim on a system at a time
Conflicts:      libva-vdpau-driver

# NVIDIA driver architectures
ExclusiveArch:  x86_64 aarch64 %{ix86} ppc64le

%description
This is an VA-API implementation that uses NVDEC as a backend. This
implementation is specifically designed to be used by Firefox for accelerated
decode of web content, and may not operate correctly in other applications.

%prep
%if "%{?tag}"
%autosetup -p1 -n %{upstream_name}-%{version}
%else
%autosetup -p1 -n %{upstream_name}-%{commit0}
%endif

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%doc README.md
%license COPYING
%{_libdir}/dri/nvidia_drv_video.so

%changelog
## START: Generated by rpmautospec
* Mon Apr 21 2025 Simone Caronni <negativo17@gmail.com> - 0.0.13^20250419gitc2860cc-1
- Update to latest snapshot, fix driver 575 failures

* Thu Mar 27 2025 Simone Caronni <negativo17@gmail.com> - 0.0.13^20250118gitc519e97-1
- Update to latest snapshot

* Mon Jan 20 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.13^20241210git9c4a3c7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 17 2024 Simone Caronni <negativo17@gmail.com> - 0.0.13^20241210git9c4a3c7-1
- Update to latest snapshot

* Tue Nov 12 2024 Simone Caronni <negativo17@gmail.com> - 0.0.13^20241108git259b7b7-2
- Adjust build requirements so it builds on el9

* Tue Nov 12 2024 Simone Caronni <negativo17@gmail.com> - 0.0.13^20241108git259b7b7-1
- Update to 0.0.13 snapshot
- Allow building from snapshots.
- Adjust build requirements.
- Adjust architectures, ppc64le is gone.

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat May 25 2024 Fabio Valentini <decathorpe@gmail.com> - 0.0.12-2
- Rebuild for gstreamer-plugins-bad 1.24

* Mon May 06 2024 Nicolas Chauvet <kwizart@gmail.com> - 0.0.12-1
- Update to 0.0.12

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Nov 23 2023 Alessandro Astone <ales.astone@gmail.com> - 0.0.11-1
- Update to 0.0.11

* Sun Aug 27 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.0.10-3
- Replace the rpmfusion package and provide alt name

* Wed Jun 28 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.0.10-1
- Update to 0.0.10

* Sat Mar 18 2023 Neal Gompa <ngompa@fedoraproject.org> - 0.0.9-1
- Update to 0.0.9

* Sat Mar 04 2023 Robert-André Mauchin <zebob.m@gmail.com> - 0.0.5-1
- Initial version

## END: Generated by rpmautospec
